TextFile (Apache JMeter dist API)
Description: declaration: package: org.apache.jorphan.io, class: TextFile

Package org.apache.jorphan.io

# Class TextFile

java.lang.Object
java.io.File
org.apache.jorphan.io.TextFile

All Implemented Interfaces:
  `Serializable`, `Comparable<File>`

public class TextFile extends File
Utility class to handle text files as a single lump of text.

Note this is just as memory-inefficient as handling a text file can be. Use with restraint.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.io.File

  `pathSeparator, pathSeparatorChar, separator, separatorChar`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextFile(File filename)`
  Create a TextFile object to handle the named file with the platform default encoding.
  `TextFile(File filename, String encoding)`
  Create a TextFile object to handle the named file with the given encoding.
  `TextFile(String filename)`
  Create a TextFile object to handle the named file with the platform default encoding.
  `TextFile(String filename, String encoding)`
  Create a TextFile object to handle the named file with the given encoding.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getEncoding()`
  Returns encoding being used to read and write this file.
  `String`
  `getText()`
  Read the whole file content and return it as a string.
  `int`
  `hashCode()`
  `void`
  `setEncoding(String string)`
  Configures encoding to be used to read and write this file.
  `void`
  `setText(String body)`
  Create the file with the given string as content -- or replace its content with the given string if the file already existed.

  ### Methods inherited from class java.io.File

  `canExecute, canRead, canWrite, compareTo, createNewFile, createTempFile, createTempFile, delete, deleteOnExit, exists, getAbsoluteFile, getAbsolutePath, getCanonicalFile, getCanonicalPath, getFreeSpace, getName, getParent, getParentFile, getPath, getTotalSpace, getUsableSpace, isAbsolute, isDirectory, isFile, isHidden, lastModified, length, list, list, listFiles, listFiles, listFiles, listRoots, mkdir, mkdirs, renameTo, setExecutable, setExecutable, setLastModified, setReadable, setReadable, setReadOnly, setWritable, setWritable, toPath, toString, toURI, toURL`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TextFile

    public TextFile(File filename, String encoding)
    Create a TextFile object to handle the named file with the given encoding.
    Parameters:
      `filename` - File to be read and written through this object.
      `encoding` - Encoding to be used when reading and writing this file.

  - ### TextFile

    public TextFile(File filename)
    Create a TextFile object to handle the named file with the platform default encoding.
    Parameters:
      `filename` - File to be read and written through this object.

  - ### TextFile

    public TextFile(String filename)
    Create a TextFile object to handle the named file with the platform default encoding.
    Parameters:
      `filename` - Name of the file to be read and written through this object.

  - ### TextFile

    public TextFile(String filename, String encoding)
    Create a TextFile object to handle the named file with the given encoding.
    Parameters:
      `filename` - Name of the file to be read and written through this object.
      `encoding` - Encoding to be used when reading and writing this file.

- ## Method Details

  - ### setText

    public void setText(String body)
    Create the file with the given string as content -- or replace its content with the given string if the file already existed.
    Parameters:
      `body` - New content for the file.

  - ### getText

    public String getText()
    Read the whole file content and return it as a string.
    Returns:
      the content of the file

  - ### getEncoding

    public String getEncoding()
    Returns encoding being used to read and write this file.
    Returns:
      Encoding being used to read and write this file.

  - ### setEncoding

    public void setEncoding(String string)
    Configures encoding to be used to read and write this file.
    Parameters:
      `string` - Encoding to be used to read and write this file.

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `File`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `File`